- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# win_ping – A windows version of the classic ping module

- Synopsis
- Parameters
- See Also
- Examples
- Return Values
- Status

## Synopsis

- Checks management connectivity of a windows host.
- This is NOT ICMP ping, this is just a trivial test module.
- For non-Windows targets, use the ping module instead.
- For Network targets, use the net_ping module instead.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
data string | Default: "pong" | Alternate data to return instead of 'pong'. If this parameter is set to `crash`, the module will cause an exception.

## See Also

See also

ping – Try to connect to host, verify a usable python and return pong on success
  The official documentation on the ping module.

## Examples

    # Test connectivity to a windows host
    # ansible winserver -m win_ping

    - name: Example from an Ansible Playbook
      win_ping:

    - name: Induce an exception to see what happens
      win_ping:
        data: crash

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
ping string | success | Value provided with the data parameter. Sample: pong

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]
- This module is maintained by the Ansible Core Team. [core]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Chris Church (@cchurch)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.